package seznam;

import java.awt.Color;

/**
 * Zapouzdření barvy a jejího názvu.
 */
public class MyColor {

	/**
	 * Barva.
	 */
	private Color color;

	/**
	 * Název barvy.
	 */
	private String colorName;

	/**
	 * Vytvoří novou instanci třídy MyColor.
	 * 
	 * @param color
	 *            barva.
	 * @param colorName
	 *            název barvy.
	 */
	public MyColor(Color color, String colorName) {
		this.color = color;
		this.colorName = colorName;
	}

	/**
	 * Vrátí hodnotu barvy.
	 * 
	 * @return barva.
	 */
	public Color getColor() {
		return color;
	}

	/**
	 * Vrátí název barvy.
	 * 
	 * @return název barvy.
	 */
	public String getColorName() {
		return colorName;
	}

	@Override
	public String toString() {
		return getColorName();
	}

}
